String Concatenation Decoding Codes
Signal Handing Functions » Miscellaneous Functions
Collaboration diagram for String Concatenation Decoding Codes:

## Variables

const | Qore::CD_ALL = CD_ALL
| code for decoding everything More...
const | Qore::CD_HTML = CD_HTML
| code for decoding HTML 5 named character references to their native symbols More...
const | Qore::CD_NUM_REF = CD_NUM_REF
| code for decoding numeric character references to symbols More...
const | Qore::CD_XHTML = CD_XHTML
| code for decoding XHTML named character references to symbols More...
const | Qore::CD_XML = CD_XML
| code for decoding XML entities More...

## Detailed Description

See also
  <string>::getDecoded()

Since
  Qore 0.8.12

## Variable Documentation

## CD_ALL

const Qore::CD_ALL = CD_ALL

code for decoding everything

See also
  Qore::CE_ALL

## CD_HTML

const Qore::CD_HTML = CD_HTML

code for decoding HTML 5 named character references to their native symbols

decodes all HTML 5 named character references to their native symbols

Note
  to decode all numeric character references as well, include Qore::CD_NUM_REF in the bitfield

See also
  Qore::CE_HTML

## CD_NUM_REF

const Qore::CD_NUM_REF = CD_NUM_REF

code for decoding numeric character references to symbols

See also
  CE_NONASCII

## CD_XHTML

const Qore::CD_XHTML = CD_XHTML

code for decoding XHTML named character references to symbols

This code is a combination of Qore::CD_HTML and Qore::CD_XML

See also
  Qore::CE_XHTML

## CD_XML

const Qore::CD_XML = CD_XML

code for decoding XML entities

The following symbols are decoded:

- `'"'`: as `"&quot;"`
- `"&"`: as `"&amp;"`
- `"'"`: as `"&apos;"`
- `"<"`: as `"&lt;"`
- `">"`: as `"&gt;"`

Note
  `"'"` / `"&apos;"` is the only character not included in Qore::CD_HTML

See also
  Qore::CE_XML